Loading...
Searching...
No Matches
trmv: Triangular matrix-vector multiply
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(x = Ax\) More...

## Functions

void | magma_ctrmv (magma_uplo_t uplo, magma_trans_t trans, magma_diag_t diag, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dx, magma_int_t incx, magma_queue_t queue)
| Perform triangular matrix-vector product.
void | magma_dtrmv (magma_uplo_t uplo, magma_trans_t trans, magma_diag_t diag, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dx, magma_int_t incx, magma_queue_t queue)
| Perform triangular matrix-vector product.
void | magma_strmv (magma_uplo_t uplo, magma_trans_t trans, magma_diag_t diag, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dx, magma_int_t incx, magma_queue_t queue)
| Perform triangular matrix-vector product.
void | magma_ztrmv (magma_uplo_t uplo, magma_trans_t trans, magma_diag_t diag, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dx, magma_int_t incx, magma_queue_t queue)
| Perform triangular matrix-vector product.

## Detailed Description

\(x = Ax\)

## Function Documentation

## magma_ctrmv()

void magma_ctrmv | ( | magma_uplo_t | uplo,
|  | magma_trans_t | trans,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Perform triangular matrix-vector product.

\( x = A x \) (trans == MagmaNoTrans), or
\( x = A^T x \) (trans == MagmaTrans), or
\( x = A^H x \) (trans == MagmaConjTrans).

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | trans | Operation to perform on A.
  [in] | diag | Whether the diagonal of A is assumed to be unit or non-unit.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | dA | COMPLEX array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dtrmv()

void magma_dtrmv | ( | magma_uplo_t | uplo,
|  | magma_trans_t | trans,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Perform triangular matrix-vector product.

\( x = A x \) (trans == MagmaNoTrans), or
\( x = A^T x \) (trans == MagmaTrans), or
\( x = A^H x \) (trans == MagmaConjTrans).

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | trans | Operation to perform on A.
  [in] | diag | Whether the diagonal of A is assumed to be unit or non-unit.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | dA | DOUBLE PRECISION array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_strmv()

void magma_strmv | ( | magma_uplo_t | uplo,
|  | magma_trans_t | trans,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Perform triangular matrix-vector product.

\( x = A x \) (trans == MagmaNoTrans), or
\( x = A^T x \) (trans == MagmaTrans), or
\( x = A^H x \) (trans == MagmaConjTrans).

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | trans | Operation to perform on A.
  [in] | diag | Whether the diagonal of A is assumed to be unit or non-unit.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | dA | REAL array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_ztrmv()

void magma_ztrmv | ( | magma_uplo_t | uplo,
|  | magma_trans_t | trans,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dx,
|  | magma_int_t | incx,
|  | magma_queue_t | queue )

Perform triangular matrix-vector product.

\( x = A x \) (trans == MagmaNoTrans), or
\( x = A^T x \) (trans == MagmaTrans), or
\( x = A^H x \) (trans == MagmaConjTrans).

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | trans | Operation to perform on A.
  [in] | diag | Whether the diagonal of A is assumed to be unit or non-unit.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | dA | COMPLEX_16 array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | queue | magma_queue_t Queue to execute in.